package cc.smtweb.system.canal.file.common;

import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.systask.BaseSysService;
import lombok.extern.slf4j.Slf4j;

import java.util.regex.Matcher;
import java.util.regex.Pattern;


@Slf4j
public class FileDecodeService extends BaseSysService {
    @Override
    public String getTitle() {
        return "[解析canal文件]";
    }

    @Override
    public int getInterval() {
        return 10;
    }

    @Override
    public void work() {
        try {
            AbstractFileWork fileWork = FileDecodeFactory.getInstance().getFileWork(DbEngine.getInstance().getDbType());
            fileWork.doWork();
        } catch (Exception e) {
            log.error("解析canal文件失败：", e);
        }
    }

    public static void main( String args[] ) {
        String sentence = "^pgzx.*\\..*";
        Pattern pattern = Pattern.compile(sentence);
        Matcher matcher = pattern.matcher("pgzx.tb_sys_job");
        Matcher matcher1 = pattern.matcher("pgzx_zx.tb_sys_job");
        System.out.println(matcher.find());
        System.out.println(matcher1.find());
    }
}
